using System;

namespace Oefening_14
{
    class Program
    {
        static void Main(string[] args)
        {
            string[,] whiskys = new string[5,3];
            whiskys[0,0] = "Caol Ila";
            whiskys[1,0] = "MacAllan";
            whiskys[2,0] = "Arran";
            whiskys[3,0] = "Maltman";
            whiskys[4,0] = "Nikka";

            whiskys[0,1] = "12 jaar";
            whiskys[1,1] = "10 jaar";
            whiskys[2,1] = "14 jaar";
            whiskys[3,1] = "12 jaar";
            whiskys[4,1] = "Blended";

            whiskys[0,2] = "43%";
            whiskys[1,2] = "40%";
            whiskys[2,2] = "46%";
            whiskys[3,2] = "46%";
            whiskys[4,2] = "43%";

            Console.WriteLine("Wat wilt u drinken?");
            for(int w = 0; w < 5; w++)
            {
                Console.WriteLine($" {w}: {whiskys[w,0]}");
            }
            Console.WriteLine("Voer een getal in:");
            string invoer = Console.ReadLine();
            int keuze = 0;
            var gelukt = Int32.TryParse(invoer, out keuze);
            if (gelukt & keuze >= 0 & keuze <= 4)
            {
                Console.WriteLine($"Alstublieft, een heerlijk glas {whiskys[keuze,0]} ({whiskys[keuze,1]})");
            }
            else
            {
                Console.WriteLine($"Uw invoer kon niet verwerkt worden. Heeft u een getal tussen 0 en 4 ingevoerd?");
            }
        }
    }
}
